ServerEvents.recipes(GregTechApocalypse => {
  
  GregTechApocalypse.remove({ id: 'rftoolsbase:machine_frame' })
  GregTechApocalypse.shaped('rftoolsbase:machine_frame', ['ABA', 'CDC', 'ABA'], {
    A: 'minecraft:iron_ingot',
    B: '#forge:dyes/blue',
    C: 'minecraft:gold_nugget',
    D: 'gtceu:advanced_integrated_circuit'
  })
  GregTechApocalypse.remove({ id: 'rftoolsutility:matter_receiver' })
  GregTechApocalypse.shaped('rftoolsutility:matter_receiver', ['ABA', 'CDC', 'EEE'], {
    A: 'minecraft:iron_ingot',
    B: 'gtceu:hv_field_generator',
    C: 'minecraft:redstone',
    D: 'rftoolsbase:machine_frame',
    E: 'minecraft:ender_pearl'
  })
  GregTechApocalypse.remove({ id: 'rftoolsutility:matter_transmitter' })
  GregTechApocalypse.shaped('rftoolsutility:matter_transmitter', ['ABA', 'CDC', 'EEE'], {
    A: 'minecraft:ender_pearl',
    B: 'gtceu:hv_field_generator',
    C: 'minecraft:redstone',
    D: 'rftoolsbase:machine_frame',
    E: 'minecraft:iron_ingot'
  })
  GregTechApocalypse.remove({ id: 'rftoolsutility:dialing_device' })
  GregTechApocalypse.shaped('rftoolsutility:dialing_device', ['ABA', 'CDC', 'AAA'], {
    A: 'minecraft:redstone',
    B: 'gtceu:hv_field_generator',
    C: 'minecraft:redstone_torch',
    D: 'rftoolsbase:machine_frame'
  })
  GregTechApocalypse.remove({ id: 'rftoolsutility:charged_porter' })
  GregTechApocalypse.shaped('rftoolsutility:charged_porter', ['CAC', 'ABA', 'CAC'], {
    A: 'rftoolsbase:infused_enderpearl',
    B: 'gtceu:hv_battery_hull',
    C: 'gtceu:glass_gem'
  })
  GregTechApocalypse.remove({ id: 'rftoolsutility:advanced_charged_porter' })
  GregTechApocalypse.remove({ id: 'rftoolspower:blazing_generator' })
  GregTechApocalypse.remove({ id: 'rftoolspower:blazing_agitator' })
  GregTechApocalypse.remove({ id: 'rftoolspower:blazing_infuser' })
  GregTechApocalypse.remove({ id: 'rftoolspower:endergenic' })
  GregTechApocalypse.remove({ id: 'rftoolspower:coalgenerator' })
  GregTechApocalypse.remove({ id: 'rftoolsutility:spawner' })
  GregTechApocalypse.remove({ id: 'rftoolsutility:syringe' })
  GregTechApocalypse.remove({ id: 'rftoolsutility:environmental_controller' })
  GregTechApocalypse.remove({ id: 'rftoolsutility:crafter1' })
  GregTechApocalypse.remove({ id: 'rftoolsutility:crafter2' })
  GregTechApocalypse.remove({ id: 'rftoolsutility:crafter3' })

})